Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.monitor
Class TestMonitor

    java.lang.Object
      com.eviware.soapui.monitor.TestMonitor

    public class TestMonitor

extends java.lang.Object

Global class for monitoring ongoing test runs (both functional and loadtests)

Author:
  Ole.Matzura

Constructor Summary
`TestMonitor()`

Method Summary
`void` | `addTestMonitorListener(TestMonitorListener listener)`
`void` | `cancelAllTests(java.lang.String reason)`
`LoadTestRunner[]` | `getRunningLoadTest()`
`boolean` | `hasRunningLoadTest(TestCase testCase)`
`boolean` | `hasRunningMock(MockService mockService)`
`boolean` | `hasRunningTest(TestCase testCase)`
`boolean` | `hasRunningTestCase(TestCase testCase)`
`boolean` | `hasRunningTests()`
`boolean` | `hasRunningTests(WsdlProject project)`
`void` | `init(Workspace workspace)`
`void` | `monitorProject(Project project)`
`protected void` | `notifyLoadTestFinished(LoadTestRunner runner)`
`protected void` | `notifyLoadTestStarted(LoadTestRunner runner)`
`protected void` | `notifyMockServiceStarted(MockRunner runner)`
`protected void` | `notifyMockServiceStopped(MockRunner runner)`
`protected void` | `notifyTestCaseFinished(TestRunner runner)`
`protected void` | `notifyTestCaseStarted(TestRunner runner)`
`void` | `removeTestMonitorListener(TestMonitorListener listener)`
`void` | `unmonitorProject(Project project)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestMonitor

    public TestMonitor()

Method Detail

### notifyLoadTestStarted

    protected void notifyLoadTestStarted(LoadTestRunner runner)

### notifyLoadTestFinished

    protected void notifyLoadTestFinished(LoadTestRunner runner)

### notifyTestCaseStarted

    protected void notifyTestCaseStarted(TestRunner runner)

### notifyTestCaseFinished

    protected void notifyTestCaseFinished(TestRunner runner)

### notifyMockServiceStarted

    protected void notifyMockServiceStarted(MockRunner runner)

### notifyMockServiceStopped

    protected void notifyMockServiceStopped(MockRunner runner)

### hasRunningLoadTest

    public boolean hasRunningLoadTest(TestCase testCase)

### hasRunningTestCase

    public boolean hasRunningTestCase(TestCase testCase)

### addTestMonitorListener

    public void addTestMonitorListener(TestMonitorListener listener)

### removeTestMonitorListener

    public void removeTestMonitorListener(TestMonitorListener listener)

### getRunningLoadTest

    public LoadTestRunner[] getRunningLoadTest()

### hasRunningTest

    public boolean hasRunningTest(TestCase testCase)

### init

    public void init(Workspace workspace)

### monitorProject

    public void monitorProject(Project project)

### unmonitorProject

    public void unmonitorProject(Project project)

### hasRunningTests

    public boolean hasRunningTests()

### hasRunningMock

    public boolean hasRunningMock(MockService mockService)

### hasRunningTests

    public boolean hasRunningTests(WsdlProject project)

### cancelAllTests

    public void cancelAllTests(java.lang.String reason)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.